Bug 640830 - Review Request: drupal-multisite_manager - Allows creation of new drupal sites from a central drupal site
Summary: Review Request: drupal-multisite_manager - Allows creation of new drupal site...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-06 21:02 UTC by Orion Poplawski
Modified: 2012-03-27 18:12 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-03-27 18:12:13 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2010-10-06 21:02:17 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/drupal-multisite_manager.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/drupal-multisite_manager-6.x.1.0-1.fc13.src.rpm
Description:Allows creation of new drupal sites from a central drupal site without the
creator having access to database info. The new site is installed either in
the same database with a different prefix or if the drupal db_user has access
to create a database and grant privileges, then possibly there.

If you are looking for inter-related sites, this module will not achieve this
alone (see Organic Group modules). This simply makes it possible for users to
skip the typical drupal installation process (entering the db user/password),
making it possible for non-admins to do this step.

Comment 1 Sven Lankes 2010-11-19 15:06:27 UTC
After some discussion on the fedora-logistics list, we've come to the 
conclusion that having the possibility to install multiple concurrent versions of drupal is desirable. 

The drupal-package is going to be renamed to drupal6 (rename review is pending).

Additionally, the guidelines don't allow letters in the version (so no 6.x) - so please rename the package to drupal6-multisite_manager-1.0.

Once that is done, I'll do the review.

Comment 3 Volker Fröhlich 2011-01-18 13:54:07 UTC
Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.

Comment 4 Orion Poplawski 2011-01-18 22:32:00 UTC
* Tue Jan 18 2011 Orion Poplawski <orion@cora.nwra.com> - 1.0-2
- Correct license to GPLv2+
- Use drupal6 dir on F15+, EL6+

http://www.cora.nwra.com/~orion/fedora/drupal6-multisite_manager.spec
http://www.cora.nwra.com/~orion/fedora/drupal6-multisite_manager-1.0-2.fc14.src.rpm

Comment 5 Volker Fröhlich 2012-03-27 17:29:24 UTC
What's the status here?

Comment 6 Gwyn Ciesla 2012-03-27 17:39:26 UTC
The whole rename project is done, FYI.

Comment 7 Orion Poplawski 2012-03-27 18:12:13 UTC
Withdrawn as no drupal7 version, perhaps integrated.


Note You need to log in before you can comment on or make changes to this bug.